Bug 439141 - Review Request: python-demjson - Python JSON module and lint checker
Review Request: python-demjson - Python JSON module and lint checker
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 06:08 EDT by Thomas Moschny
Modified: 2008-05-10 09:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.3-2.fc7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-03-27 06:08:50 EDT
Spec URL: http://thm.fedorapeople.org/python-demjson.spec
SRPM URL: http://thm.fedorapeople.org/python-demjson-1.3-1.fc8.src.rpm

Description:
This module provides classes and functions for encoding or decoding
data represented in the language-neutral JSON format (which is often
used as a simpler substitute for XML in Ajax web applications).  This
implementation tries to be as compliant to the JSON specification (RFC
4627) as possible, while still providing many optional extensions to
allow less restrictive JavaScript syntax.  It includes complete
Unicode support, including UTF-32, BOM, and surrogate pair processing.
It can also support JavaScript's NaN and Infinity numeric types as
well as it's 'undefined' type.

It also includes a lint-like JSON syntax validator which tests JSON
text for strict compliance to the standard.
Comment 1 Parag AN(पराग) 2008-03-27 07:38:19 EDT
Not needed now following as per python packaging guidelines
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

But add only
BuildRequires: python-setuptools-devel

also, drop INSTALL.txt from %doc
Comment 2 Thomas Moschny 2008-03-27 08:18:48 EDT
(In reply to comment #1)
> Not needed now following as per python packaging guidelines
> %if 0%{?fedora} >= 8
> BuildRequires: python-setuptools-devel
> %else
> BuildRequires: python-setuptools
> %endif

Isn't this necessary to successfully build for F-7?
Comment 3 Thomas Moschny 2008-03-27 19:19:07 EDT
(In reply to comment #1)
> Not needed now following as per python packaging guidelines

Ok, seems indeed not to be necessary anymore.

> But add only
> BuildRequires: python-setuptools-devel

Done.

> also, drop INSTALL.txt from %doc

Done.

Spec file and srpm updated.
Comment 4 Parag AN(पराग) 2008-03-31 02:31:38 EDT
will you please post updated SRPM link ?
Comment 6 Parag AN(पराग) 2008-04-01 00:00:39 EDT
Review:
+ package builds in mock.
 Koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=539324
              http://koji.fedoraproject.org/koji/taskinfo?taskID=539326
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
5989d22248cce8641c986ed189e4e601  demjson-1.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 7 Thomas Moschny 2008-04-01 02:53:02 EDT
Thanks for reviewing!

New Package CVS Request
=======================
Package Name: python-demjson
Short Description: Python JSON module and lint checker
Owners: thm
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-04-01 15:25:07 EDT
cvs done.
Comment 9 Fedora Update System 2008-04-01 17:11:25 EDT
python-demjson-1.3-2.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-04-01 17:14:30 EDT
python-demjson-1.3-2.fc7 has been submitted as an update for Fedora 7
Comment 11 Fedora Update System 2008-04-09 01:16:17 EDT
python-demjson-1.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-demjson'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2942
Comment 12 Parag AN(पराग) 2008-04-27 06:27:14 EDT
is this pushed to rawhide?
Comment 13 Thomas Moschny 2008-05-03 03:30:31 EDT
(In reply to comment #12)
> is this pushed to rawhide?

Not sure I understand this question. Afaict there's a python-demjson package
available in f9 as well as in devel.
Comment 14 Parag AN(पराग) 2008-05-05 00:12:04 EDT
ok then we can close this review as packages built successfully and are in
respective repositories.
Comment 15 Thomas Moschny 2008-05-05 05:46:56 EDT
Bodhi would have auto-closed this bug after moving the F-7 and F-8 packages 
from updates-testing to updates-stable.
Comment 16 Parag AN(पराग) 2008-05-05 06:01:27 EDT
But then I am not sure how long to keep open this review request as review
already passed and packages successfully built for all requested branches.
Its almost one month I can see updates submitted as per comments #9 and #10 but
not pushed to stable repository.
Feel free to open this review as anyway bodhi will going to change resolution to
Errata (IIRC) once updates gets pushed to stable repo.
Comment 17 Fedora Update System 2008-05-10 09:50:52 EDT
python-demjson-1.3-2.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-05-10 09:53:32 EDT
python-demjson-1.3-2.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.